std::ranges::adjacent_transform_view::sentinel::sentinel(3)

NAME
std::ranges::adjacent_transform_view::sentinel::sentinel - std::ranges::adjacent_transform_view::sentinel::sentinel

Synopsis
   /*sentinel*/() = default; (1) (since C++23)
   constexpr /*sentinel*/( /*sentinel*/<!Const> i )
       requires Const && (2) (since C++23)
           std::convertible_to</*inner-sentinel*/<false>,
   /*inner-sentinel*/<Const>>;
   private:
   constexpr explicit /*sentinel*/( /*inner-sentinel*/<Const> (3) (exposition only*)
   inner );
   Construct a sentinel.
   1) Default constructor. Default-initializes the underlying sentinel inner_.
   2) Conversion from /*sentinel*/<false> to /*sentinel*/<true>. Move constructs the
   underlying sentinel inner_ with std::move(i.inner_).
   3) This sentinel also has a private constructor which is used by
   ranges::adjacent_transform_view::end. This constructor is not accessible to users.
   Initializes the underlying sentinel inner_ with inner.

Parameters
   i - an /*sentinel*/<false>
   inner - a sentinel of type adjacent_transform_view::inner_sentinel

Example
    This section is incomplete
    Reason: no example

Category:
     * Todo no example